Bug 1152682 - katello installer fails on older qpid-tools rpms
Summary: katello installer fails on older qpid-tools rpms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker 1161117
TreeView+ depends on / blocked
 
Reported: 2014-10-14 16:56 UTC by Shannon Hughes
Modified: 2019-09-26 17:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1161117 (view as bug list)
Environment:
Last Closed: 2016-07-27 08:45:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1231743 None None None Never
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Shannon Hughes 2014-10-14 16:56:12 UTC
Description of problem:

katello installer will fail when older qpid-tools rpms are installed. The following error message occured for qpid-tools-0.14-6.el6_3.noarch

[ERROR 2014-10-10 10:26:25 main] Repeating errors encountered during run:
[ERROR 2014-10-10 10:26:25 main]  qpid-config --ssl-certificate /etc/pki/katello/certs/java-client.crt --ssl-key /etc/pki/katello/private/java-client.key -b 'amqps://fqdn.com:5671' add exchange topic event --durable returned 2 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Certs::Candlepin/Exec[create candlepin qpid exchange]/returns: change from notrun to 0 failed: qpid-config --ssl-certificate /etc/pki/katello/certs/java-client.crt --ssl-key /etc/pki/katello/private/java-client.key -b 'amqps://fqdn.com:5671' add exchange topic event --durable returned 2 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Certs::Candlepin/Exec[create candlepin qpid exchange]: Failed to call refresh: qpid-config --ssl-certificate /etc/pki/katello/certs/java-client.crt --ssl-key /etc/pki/katello/private/java-client.key -b 'amqps://fqdn.com:5671' add exchange topic event --durable returned 2 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Certs::Candlepin/Exec[create candlepin qpid exchange]: qpid-config --ssl-certificate /etc/pki/katello/certs/java-client.crt --ssl-key /etc/pki/katello/private/java-client.key -b 'amqps://fqdn.com:5671' add exchange topic event --durable returned 2 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: Failed to call refresh: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 4 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 4 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]
[ERROR 2014-10-10 10:26:25 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]


Discussed with jsherrill and we agreed that updating spec to require newer version would prevent this issue. After yum updating to qpid-tools.noarch                    0.22-12.el6 

and rerunning installer it was successful.

Comment 1 RHEL Program Management 2014-10-14 17:02:54 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2016-02-23 17:20:28 UTC
6.2 will deliver qpid-tools-0.30-4.el7.noarch.rpm, which is greater than then version listed in this bug. Moving this to POST.

Comment 7 Sachin Ghai 2016-04-07 11:39:05 UTC
Verified with sat6.2 beta snap6.2.

In sat6.2, installer name changed from katello-installer -> foreman-installer

and it was successfully completed.


--
[root@cloud-qe ~]# foreman-installer --scenario katello --foreman-admin-password changeme
Installing             Done                                               [100%] [..................................................................]
  Success!
--

sat6.2 snap6.2 includes following version of qpid-tools

 ~]# rpm -qa | grep qpid-tools
qpid-tools-0.30-4.el7.noarch

Comment 9 errata-xmlrpc 2016-07-27 08:45:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.